Package ru.bitel.bgbilling.plugins.fias.server.bean

# Class HouseLoadManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.plugins.fias.server.bean.BaseLoadManager
ru.bitel.bgbilling.plugins.fias.server.bean.HouseLoadManager

public class HouseLoadManager extends BaseLoadManager

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.plugins.fias.server.bean.BaseLoadManager

  `ADDRESS_CITY, ADDRESS_HOUSE, ADDRESS_STREET, FIAS_CITY_MAP, FIAS_HOUSE_MAP, FIAS_HOUSE_TEMP, FIAS_STREET_MAP, FIAS_STREET_TEMP, PROFILE`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HouseLoadManager(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAllHouse()`
  `void`
  `createNewTempTable(FiasStreet street)`
  `void`
  `createNewTempTableForCity(FiasCity city)`
  `List<FiasHouse>`
  `findHouseInFias(FiasHouse house)`
  `FiasHouse`
  `getNextHouse(int streetId)`
  `FiasStreet`
  `getNonSyncStreet()`
  `int`
  `getStreetCountWithoutSync()`
  `void`
  `setHouseAndFrac(FiasHouse house)`
  `void`
  `syncHouse(List<FiasCity> citys, boolean loadNew)`
  `void`
  `syncHouseFromMapTable()`
  `void`
  `updateHouse(FiasHouse house)`
  `void`
  `updateStreetStatus(int streetId, int status)`

  ### Methods inherited from class ru.bitel.bgbilling.plugins.fias.server.bean.BaseLoadManager

  `clearFiasTable, exceptionLog, executeQuery, executeQuery, loadAddressObjFromRs, loadCityFromRs`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HouseLoadManager

    public HouseLoadManager(Connection con)

- ## Method Details

  - ### getStreetCountWithoutSync

    public int getStreetCountWithoutSync() throws Exception
    Throws:
      `Exception`

  - ### getNonSyncStreet

    public FiasStreet getNonSyncStreet() throws Exception
    Throws:
      `Exception`

  - ### createNewTempTable

    public void createNewTempTable(FiasStreet street) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateHouse

    public void updateHouse(FiasHouse house) throws Exception
    Throws:
      `Exception`

  - ### addAllHouse

    public void addAllHouse() throws Exception
    Throws:
      `Exception`

  - ### getNextHouse

    public FiasHouse getNextHouse(int streetId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### findHouseInFias

    public List<FiasHouse> findHouseInFias(FiasHouse house) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateStreetStatus

    public void updateStreetStatus(int streetId, int status)

  - ### setHouseAndFrac

    public void setHouseAndFrac(FiasHouse house)

  - ### syncHouse

    public void syncHouse(List<FiasCity> citys, boolean loadNew) throws Exception
    Throws:
      `Exception`

  - ### createNewTempTableForCity

    public void createNewTempTableForCity(FiasCity city) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### syncHouseFromMapTable

    public void syncHouseFromMapTable()